/**
 * Abbaye des Morts for Parallax Propeller
 * Copyright (c) 2015 Marco Maccaferri
 *
 * TERMS OF USE: MIT License
 */

#include <propeller.h>

#include "game.h"
#include "overlay.h"

void room_02_touchobj()
{
    int x = 0;
    int y = 0;
    int h = 0;
    int v = 0;

    x = (jean.x + INC_2_0) / 0x800;
    y = jean.y / 0x800;

    /* Touch bell */
    if (((video_ram[y+1][x] >= TILE301_ID) &&  (video_ram[y+1][x] < TILE305_ID)) || ((video_ram[y+1][x+1] >= TILE301_ID) &&  (video_ram[y+1][x+1] < TILE305_ID))) {
        for (v=1;v<3;v++) {
            for (h=5;h<7;h++) {
                if ((video_ram[v][h] >= TILE301_ID) && (video_ram[v][h] < TILE305_ID))
                    video_ram[v][h] += 4;
            }
        }
        hs_tx(sizeof(video_ram) / 4, (int32_t)video_ram, 0, GPU_VIDEO_RAM);
        spi_write((room[0] - 1) * (MAP_SIZE), (uint8_t *)&video_ram[0][0], MAP_SIZE);
        jean.flags[1] = 1;
        //Mix_PauseMusic ();
        //Mix_PlayChannel(-1, fx[5], 0);
        waitcnt(CNT + _CLKFREQ * 2);
        //Mix_ResumeMusic ();
    }

    TOUCH_HEARTS
}
